package com.pcloud.book.sentry;

import com.pcloud.common.dto.ResponseDto;
import com.pcloud.common.utils.DateNewUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("sentryTest")
@Slf4j
public class SentryTest {


    @RequestMapping(value = "test", method = RequestMethod.GET)
    public ResponseDto<String> test() {
        log.info("info啦啦啦啦啦啦啦啦啦拉拉阿拉啦啦啦啦啦啦啦啦啦啦啦啦啦啦啦拉拉阿拉啦啦啦啦啦啦我是卖报的小行家:{}", DateNewUtils.currentTime());
        log.warn("warn啦啦啦啦啦啦啦啦啦拉拉阿拉啦啦啦啦啦啦啦啦啦啦啦啦啦啦啦拉拉阿拉啦啦啦啦啦啦我是卖报的小行家:{}", DateNewUtils.currentTime());
        log.error("error啦啦啦啦啦啦啦啦啦拉拉阿拉啦啦啦啦啦啦啦啦啦啦啦啦啦啦啦拉拉阿拉啦啦啦啦啦啦我是卖报的小行家:{}", DateNewUtils.currentTime());
        return new ResponseDto<>(DateNewUtils.currentTime());
    }
}
